Skip to main content
`Ctrl`+`K`

# DarkEnergyComponent

class astropy.cosmology.traits.DarkEnergyComponent

  Bases: `object`

  Methods Summary

  `Ode`(z, /) | Return the density parameter for dark energy at redshift `z`.
  `de_density_scale`(z, /) | Evaluates the redshift dependence of the dark energy density.
  `w`(z, /) | The dark energy equation of state.

  Methods Documentation

  Ode(z, /)

    Return the density parameter for dark energy at redshift `z`.

    Parameters:
      z Quantity-like [‘redshift’], numpy:array_like

        Input redshift.

        Changed in version 7.0: Passing z as a keyword argument is deprecated.

        Changed in version 8.0: z must be a positional argument.

    Returns:
      Ode `ndarray`

        The density of dark energy relative to the critical density at each redshift.

  de_density_scale(z, /)

    Evaluates the redshift dependence of the dark energy density.

    Parameters:
      z Quantity-like [‘redshift’], numpy:array_like

        Input redshift.

        Changed in version 7.0: Passing z as a keyword argument is deprecated.

        Changed in version 8.0: z must be a positional argument.

    Returns:
      I `ndarray` or `python:float`

        The scaling of the energy density of dark energy with redshift. Returns `float` if the input is scalar.

    Notes

    The scaling factor, I, is defined by \(\rho(z) = \rho_0 I\), and is given by

    \[I = \exp \left( 3 \int_{a}^1 \frac{ da^{\prime} }{ a^{\prime} } \left[ 1 + w\left( a^{\prime} \right) \right] \right)\]

    The actual integral used is rewritten from [1] to be in terms of z.

    It will generally helpful for subclasses to overload this method if the integral can be done analytically for the particular dark energy equation of state that they implement.

    References

    [1]

    Linder, E. (2003). Exploring the Expansion History of the Universe. Phys. Rev. Lett., 90, 091301.

  abstractmethod w(z, /)

    The dark energy equation of state.

    Parameters:
      z Quantity-like [‘redshift’], numpy:array_like

        Input redshift.

        Changed in version 7.0: Passing z as a keyword argument is deprecated.

        Changed in version 8.0: z must be a positional argument.

    Returns:
      w `ndarray` or `python:float`

        The dark energy equation of state. `float` if scalar input.

    Notes

    The dark energy equation of state is defined as \(w(z) = P(z)/\rho(z)\), where \(P(z)\) is the pressure at redshift z and \(\rho(z)\) is the density at redshift z, both in units where c=1.

    This must be overridden by subclasses.